getdns_cancel_callback(3)

NAME
getdns_cancel_callback -- cancel an outstanding asyn getdns request

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> getdns_return_t
getdns_cancel_callback (getdns_context_t context,
    getdns_transaction_t *transaction_id)

DESCRIPTION

To cancel an outstanding callback, use getdns_cancel_callback. This causes the API to call the callback with a callback_type of GETDNS_CALLBACK_CANCEL if the callback for this transaction_id has not already been called. The callback code for cancellation should clean up any memory related to the identified call, such as to deallocate the memory for the userarg. getdns_cancel_callback() may return immediately, even before the callback finishes its work and returns.

context see getdns_context (3)

transaction_id populated by the API and used to identify the callback (for example to getdns_cancel_callback), can be NULL, set to 0 if the function fails

RETURN VALUES
Upon successful completion the functions return GETDNS_RETURN_GOOD , otherwise the following error values are returned:

GETDNS_RETURN_INVALID_PARAMETER if context == NULL

GETDNS_RETURN_UNKNOWN_TRANSACTION if the transaction_id that is unknown or belongs to a callback that has already been called

EXAMPLES
TBD

FILES
/etc/hosts
/etc/resolv.conf

SEE ALSO
libgetdns(3), getdns_context(3), getdns_general(3), getdns_hostname(3), getdns_service(3),